Health check
GET
/health
const url = 'https://api.banklink.co.za/v1/health';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.banklink.co.za/v1/health \ --header 'Authorization: Bearer <token>'Returns the API status and version. Does not bill a credit.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”API is healthy
Media typeapplication/json
object
data
required
object
status
required
string
version
required
string
mode
Present only when authenticated with an sk_test_ (sandbox) key.
string
Example
{ "data": { "status": "ok", "version": "v1", "mode": "test" }}Missing or invalid API key
Media typeapplication/json
object
error
required
object
code
required
Machine-readable error code
string
message
required
Human-readable error description
string
Example
{ "error": { "code": "unauthorized", "message": "Invalid or missing API key" }}